summaryrefslogtreecommitdiff
path: root/hikey-lcr-board-workaround
diff options
context:
space:
mode:
Diffstat (limited to 'hikey-lcr-board-workaround')
-rwxr-xr-xhikey-lcr-board-workaround22
1 files changed, 22 insertions, 0 deletions
diff --git a/hikey-lcr-board-workaround b/hikey-lcr-board-workaround
new file mode 100755
index 0000000..8f83fa3
--- /dev/null
+++ b/hikey-lcr-board-workaround
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+
+##################################################
+################ Linaro hack ###################
+##################################################
+apply --linaro external/wpa_supplicant_8 15578/1